# Supporting files for reproducing calculations

## Molecular dynamics
<b> please see the <i>md</i> directory</b>

The system was built and the input parameter files for GROMACS were generated using CHARMM-GUI. The GROMACS input MDP files are in the <i>md</i> directory.

## Metdaynamics
<b> please see the <i>metadynamics</i> directory</b>

The selected frame was equilibrated for 25 ns. The chloride was position restrained during  this process to keep it in the bottleneck region using PLUMED. Associated files are:

* step6.*.mdp
* step7.equi2.mdp
* equi2.plumi.dat
* run_equi2.sh

The equilibrated system was used in the metadynamics simulation. Associated files are:

* step7.metad.mdp
* metad_1.plumi.dat
* run_metad.sh

## Channel detection
<b> please see the <i>channels</i> directory</b>

HOLE2 was used to select frames with open transmembrane domains. MDA python package was used to run HOLE2:
* mda_hole.py

Caver was used in two steps on the selected frames:

* detecting tunnels using confs1_tmp.txt config file
* tunnel calcaultion using confs2_tmp.txt config file

## Dynamical Network Analysis
<b> please see the <i>network</i> directory</b>
mdconvert was used to generate DCD files for Carma. VMD was running with the net_input.tcl file to utilize the NetworkView plugin for calculating correlations. Suboptimal paths were identified with the subopt code from NetworkView's authors.

* mdconvert -o md_2.80-100.dcd md_2.tmp.xtc
* vmd -dispdev text -eofexit < net_input.tcl > net_output.log
* subopt contact.dat ${source}-${sink}.15.out 15 $source $sink
